API referenceModeration
List Cases
GET
/api/v1/servers/{guild}/casesAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Query Parameters
target?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$moderator?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$action?string
Value in
- "warn"
- "timeout"
- "kick"
- "ban"
before?integer
Format
int32Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/servers/string/cases"{ "cases": [ { "guild": "string", "number": 0, "action": "warn", "target": "string", "targetName": "string", "moderator": "string", "moderatorName": "string", "reason": "string", "status": "pending", "expiresAt": "2019-08-24T14:15:22Z", "logChannel": "string", "logMessage": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}